%define _unpackaged_files_terminate_build 1
%define pname hypothesis-cats
%define pmname hypothesis_cats

Name:     python3-module-%pname
Version:  0.1.2
Release:  alt1

Summary:  Allows to classify values generated by a Hypothesis strategy
License:  GPL-2.0-or-later
Group:    Development/Python3
Url:      https://github.com/wolneykien/hypothesis-cats

Packager: Paul Wolneykien <manowar@altlinux.org>

Source:   %name-%version.tar

BuildArch: noarch
BuildRequires: rpm-build-python3 python3-module-setuptools
BuildRequires: python3-module-wheel
BuildRequires: python3-test pytest3
BuildRequires: python3-module-hypothesis
BuildRequires: python3-module-sphinx python3-module-sphinx-autodoc-typehints

%description
Hypothesis extension which allows to classify values generated by a
Hypothesis strategy and then to make complex assertions based on the
categories that consist up the example data given to the test.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%files
%doc README.rst examples
%python3_sitelibdir/%pmname
%python3_sitelibdir/%pmname-%version.dist-info

%changelog
* Mon Oct 31 2022 Paul Wolneykien <manowar@altlinux.org> 0.1.2-alt1
- Support parent/child relationships between sets of classified values.
- Allow to pass a custom equality function to the `nonequal` mapper.
- Call `event()` on each expected exception raise.
- Also, event 'No exceptions were expected' when that is the case.
- Report about exceptions using `note()` when an unexpected exception occurs.
- Added `parseDivided` func allowing to use dict descriptors with
  `values` anywhere a strategy arguments are needed.
- Fix: Don't block parsing an inplace category description.
- Allow to specify a number of category names for a value in a set
  of requirements.
- Optimization: let `CatChecker` to instantiate faster in `@given_divided`.
- Allow to get `CatChecker` from the decorator in an argument.
- Allow to query category layout for tags.
- Allow to assign and require category tags.
- Improved KeyError for missing "values" in a cat desc.
- Added `nonequal` flatmap function that filters out values that are
  equal to values of the base strategy.

* Mon Aug 01 2022 Paul Wolneykien <manowar@altlinux.org> 0.1.1-alt1
- The new version with some decorators.

* Tue Jul 26 2022 Paul Wolneykien <manowar@altlinux.org> 0.1.0-alt1
- Initial version.
